REST API ReferenceDashboard APITeams
Fetch a team's valid pending invites
GET
/teams/{id}/invitesFetch valid pending invites for a team. Only valid invites are returned. Expired invites are ignored.
Authorization
bearerAuth AuthorizationBearer <token>
User access token issued at sign-in. Sent as
Authorization: Bearer <access-token> unless cookies are used to send
tokens. The /auth/refresh and /auth/signout endpoints expect the
session's refresh token in the same header format instead.
In: header
Path Parameters
id*string
Team's UUID.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/teams/497f6eca-6276-4993-bfeb-53cbbbba6f08/invites"[ { "id": "4ce39d97-f8cd-419c-9a68-36b7d49eab9f", "invited_by_user_id": "0c367906-7a66-4103-a3ae-cb40a40def35", "invited_by_email": "admin@acme.com", "invited_to_team_id": "00000000-0000-0000-0000-000000000000", "role": "admin", "email": "member1@acme.com", "created_at": "2025-04-26T12:57:33.463326Z", "updated_at": "2025-04-26T12:57:33.463326Z", "valid_until": "2025-04-28T12:57:33.463326Z" }, { "id": "8c618258-8c35-4d52-9880-7b1f1de85a53", "invited_by_user_id": "0c367906-7a66-4103-a3ae-cb40a40def35", "invited_by_email": "owner@acme.com", "invited_to_team_id": "00000000-0000-0000-0000-000000000000", "role": "developer", "email": "member2@acme.com", "created_at": "2025-04-26T12:57:41.236412Z", "updated_at": "2025-04-26T12:57:41.236412Z", "valid_until": "2025-04-28T12:57:41.236412Z" }]Empty
Empty
Empty
Empty
Empty
Think this page can be better?
Open an issue